```
Make Warning:
  Manually-specified variables were not used by the project:                                                                                                              
                                                                                                                                                                          
    BUILD_SHARED_LIBS                                                                                                                                                     
    CMAKE_INSTALL_LIBDIR                                                                                                                                                  
                                                                                                                                                                          
                                                                                                                                                                          
-- Build files have been written to: /tmp/makepkg/ProtoN/src/build-cmake
/usr/bin/cmake -S/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho -B/tmp/makepkg/ProtoN/src/build-cmake --check-build-system CMakeFiles/Makefile.cmake 0
/usr/bin/cmake -E cmake_progress_start /tmp/makepkg/ProtoN/src/build-cmake/CMakeFiles /tmp/makepkg/ProtoN/src/build-cmake//CMakeFiles/progress.marks
/usr/sbin/make  -f CMakeFiles/Makefile2 all
make[1]: Entering directory '/tmp/makepkg/ProtoN/src/build-cmake'
/usr/sbin/make  -f apps/convergence_test/CMakeFiles/convergence_test.dir/build.make apps/convergence_test/CMakeFiles/convergence_test.dir/depend
/usr/sbin/make  -f apps/cuthho/CMakeFiles/cuthho_square.dir/build.make apps/cuthho/CMakeFiles/cuthho_square.dir/depend
/usr/sbin/make  -f apps/obstacle/CMakeFiles/obstacle.dir/build.make apps/obstacle/CMakeFiles/obstacle.dir/depend
make[2]: Entering directory '/tmp/makepkg/ProtoN/src/build-cmake'
cd /tmp/makepkg/ProtoN/src/build-cmake && /usr/bin/cmake -E cmake_depends "Unix Makefiles" /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/cuthho /tmp/makepkg/ProtoN/src/build-cmake /tmp/makepkg/ProtoN/src/build-cmake/apps/cuthho /tmp/makepkg/ProtoN/src/build-cmake/apps/cuthho/CMakeFiles/cuthho_square.dir/DependInfo.cmake --color=
make[2]: Entering directory '/tmp/makepkg/ProtoN/src/build-cmake'
cd /tmp/makepkg/ProtoN/src/build-cmake && /usr/bin/cmake -E cmake_depends "Unix Makefiles" /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle /tmp/makepkg/ProtoN/src/build-cmake /tmp/makepkg/ProtoN/src/build-cmake/apps/obstacle /tmp/makepkg/ProtoN/src/build-cmake/apps/obstacle/CMakeFiles/obstacle.dir/DependInfo.cmake --color=
make[2]: Entering directory '/tmp/makepkg/ProtoN/src/build-cmake'
cd /tmp/makepkg/ProtoN/src/build-cmake && /usr/bin/cmake -E cmake_depends "Unix Makefiles" /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/convergence_test /tmp/makepkg/ProtoN/src/build-cmake /tmp/makepkg/ProtoN/src/build-cmake/apps/convergence_test /tmp/makepkg/ProtoN/src/build-cmake/apps/convergence_test/CMakeFiles/convergence_test.dir/DependInfo.cmake --color=
make[2]: Leaving directory '/tmp/makepkg/ProtoN/src/build-cmake'
/usr/sbin/make  -f apps/cuthho/CMakeFiles/cuthho_square.dir/build.make apps/cuthho/CMakeFiles/cuthho_square.dir/build
make[2]: Leaving directory '/tmp/makepkg/ProtoN/src/build-cmake'
/usr/sbin/make  -f apps/obstacle/CMakeFiles/obstacle.dir/build.make apps/obstacle/CMakeFiles/obstacle.dir/build
make[2]: Entering directory '/tmp/makepkg/ProtoN/src/build-cmake'
make[2]: Leaving directory '/tmp/makepkg/ProtoN/src/build-cmake'
/usr/sbin/make  -f apps/convergence_test/CMakeFiles/convergence_test.dir/build.make apps/convergence_test/CMakeFiles/convergence_test.dir/build
make[2]: Entering directory '/tmp/makepkg/ProtoN/src/build-cmake'
make[2]: Entering directory '/tmp/makepkg/ProtoN/src/build-cmake'
[ 16%] Building CXX object apps/obstacle/CMakeFiles/obstacle.dir/obstacle.cpp.o
cd /tmp/makepkg/ProtoN/src/build-cmake/apps/obstacle && /usr/sbin/g++  -I/usr/include/eigen3 -I/tmp/makepkg/ProtoN/src/build-cmake -I/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho -I/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src -I/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/contrib -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -std=c++14 -O3 -mavx -g -fpermissive -std=gnu++17 -MD -MT apps/obstacle/CMakeFiles/obstacle.dir/obstacle.cpp.o -MF CMakeFiles/obstacle.dir/obstacle.cpp.o.d -o CMakeFiles/obstacle.dir/obstacle.cpp.o -c /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp
[ 33%] Building CXX object apps/cuthho/CMakeFiles/cuthho_square.dir/cuthho_square.cpp.o
cd /tmp/makepkg/ProtoN/src/build-cmake/apps/cuthho && /usr/sbin/g++  -I/usr/include/eigen3 -I/tmp/makepkg/ProtoN/src/build-cmake -I/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho -I/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src -I/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/contrib -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -std=c++14 -O3 -mavx -g -fpermissive -std=gnu++17 -MD -MT apps/cuthho/CMakeFiles/cuthho_square.dir/cuthho_square.cpp.o -MF CMakeFiles/cuthho_square.dir/cuthho_square.cpp.o.d -o CMakeFiles/cuthho_square.dir/cuthho_square.cpp.o -c /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/cuthho/cuthho_square.cpp
[ 50%] Building CXX object apps/convergence_test/CMakeFiles/convergence_test.dir/convergence_test.cpp.o
cd /tmp/makepkg/ProtoN/src/build-cmake/apps/convergence_test && /usr/sbin/g++  -I/usr/include/eigen3 -I/tmp/makepkg/ProtoN/src/build-cmake -I/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho -I/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src -I/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/contrib -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -std=c++14 -O3 -mavx -g -fpermissive -std=gnu++17 -MD -MT apps/convergence_test/CMakeFiles/convergence_test.dir/convergence_test.cpp.o -MF CMakeFiles/convergence_test.dir/convergence_test.cpp.o.d -o CMakeFiles/convergence_test.dir/convergence_test.cpp.o -c /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/convergence_test/convergence_test.cpp
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:37:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp: In instantiation of ‘void obstacle_assembler<Mesh>::assemble(const Mesh&, const typename Mesh::cell_type&, const Eigen::Matrix<typename Mesh::coordinate_type, -1, -1>&, const Eigen::Matrix<typename Mesh::coordinate_type, -1, 1>&, const Eigen::Matrix<typename Mesh::coordinate_type, -1, 1>&, const Function&) [with Function = run_hho_obstacle<mesh_impl<double, elem_quad, void, void, void> >(const mesh_impl<double, elem_quad, void, void, void>&, size_t)::<lambda(const point_type&)>; Mesh = mesh_impl<double, elem_quad, void, void, void>; typename Mesh::cell_type = cell<void, 4>; typename Mesh::coordinate_type = double; typename Mesh::coordinate_type = double]’:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:154:28:   required from ‘void run_hho_obstacle(const Mesh&, size_t) [with Mesh = mesh_impl<double, elem_quad, void, void, void>; size_t = long unsigned int]’
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:271:21:   required from here
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:669:45: error: no match for ‘operator-=’ (operand types are ‘Eigen::internal::enable_if<true, Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, obstacle_assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange> >::type’ {aka ‘Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, obstacle_assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange>’} and ‘double’)
  669 |                         RHS(asm_map_row[i]) -= lhs(i,j)*gamma(cell_offset);
      |                         ~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/eigen3/Eigen/Core:298,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:26:
/usr/include/eigen3/Eigen/src/Core/CwiseBinaryOp.h:162:1: note: candidate: ‘template<class OtherDerived> Derived& Eigen::MatrixBase<Derived>::operator-=(const Eigen::MatrixBase<OtherDerived>&) [with OtherDerived = OtherDerived; Derived = Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, obstacle_assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange>]’
  162 | MatrixBase<Derived>::operator-=(const MatrixBase<OtherDerived> &other)
      | ^~~~~~~~~~~~~~~~~~~
/usr/include/eigen3/Eigen/src/Core/CwiseBinaryOp.h:162:1: note:   template argument deduction/substitution failed:
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:37:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:669:45: note:   mismatched types ‘const Eigen::MatrixBase<Derived>’ and ‘double’
  669 |                         RHS(asm_map_row[i]) -= lhs(i,j)*gamma(cell_offset);
      |                         ~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/eigen3/Eigen/Core:273,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:26:
/usr/include/eigen3/Eigen/src/Core/MatrixBase.h:496:46: note: candidate: ‘template<class OtherDerived> Derived& Eigen::MatrixBase<Derived>::operator-=(const Eigen::ArrayBase<OtherDerived>&) [with OtherDerived = OtherDerived; Derived = Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, obstacle_assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange>]’
  496 |     template<typename OtherDerived> Derived& operator-=(const ArrayBase<OtherDerived>& )
      |                                              ^~~~~~~~
/usr/include/eigen3/Eigen/src/Core/MatrixBase.h:496:46: note:   template argument deduction/substitution failed:
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:37:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:669:45: note:   mismatched types ‘const Eigen::ArrayBase<Derived>’ and ‘double’
  669 |                         RHS(asm_map_row[i]) -= lhs(i,j)*gamma(cell_offset);
      |                         ~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/eigen3/Eigen/Core:272,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:26:
/usr/include/eigen3/Eigen/src/Core/DenseBase.h:298:14: note: candidate: ‘template<class OtherDerived> Derived& Eigen::DenseBase<Derived>::operator-=(const Eigen::EigenBase<OtherDerived>&) [with OtherDerived = OtherDerived; Derived = Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, obstacle_assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange>]’
  298 |     Derived& operator-=(const EigenBase<OtherDerived> &other);
      |              ^~~~~~~~
/usr/include/eigen3/Eigen/src/Core/DenseBase.h:298:14: note:   template argument deduction/substitution failed:
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:37:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:669:45: note:   mismatched types ‘const Eigen::EigenBase<Derived>’ and ‘double’
  669 |                         RHS(asm_map_row[i]) -= lhs(i,j)*gamma(cell_offset);
      |                         ~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:671:45: error: no match for ‘operator-=’ (operand types are ‘Eigen::internal::enable_if<true, Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, obstacle_assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange> >::type’ {aka ‘Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, obstacle_assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange>’} and ‘double’)
  671 |                         RHS(asm_map_row[i]) -= lhs(i,j)*dirichlet_data(j);
      |                         ~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/eigen3/Eigen/Core:298,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:26:
/usr/include/eigen3/Eigen/src/Core/CwiseBinaryOp.h:162:1: note: candidate: ‘template<class OtherDerived> Derived& Eigen::MatrixBase<Derived>::operator-=(const Eigen::MatrixBase<OtherDerived>&) [with OtherDerived = OtherDerived; Derived = Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, obstacle_assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange>]’
  162 | MatrixBase<Derived>::operator-=(const MatrixBase<OtherDerived> &other)
      | ^~~~~~~~~~~~~~~~~~~
/usr/include/eigen3/Eigen/src/Core/CwiseBinaryOp.h:162:1: note:   template argument deduction/substitution failed:
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:37:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:671:45: note:   mismatched types ‘const Eigen::MatrixBase<Derived>’ and ‘double’
  671 |                         RHS(asm_map_row[i]) -= lhs(i,j)*dirichlet_data(j);
      |                         ~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/eigen3/Eigen/Core:273,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:26:
/usr/include/eigen3/Eigen/src/Core/MatrixBase.h:496:46: note: candidate: ‘template<class OtherDerived> Derived& Eigen::MatrixBase<Derived>::operator-=(const Eigen::ArrayBase<OtherDerived>&) [with OtherDerived = OtherDerived; Derived = Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, obstacle_assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange>]’
  496 |     template<typename OtherDerived> Derived& operator-=(const ArrayBase<OtherDerived>& )
      |                                              ^~~~~~~~
/usr/include/eigen3/Eigen/src/Core/MatrixBase.h:496:46: note:   template argument deduction/substitution failed:
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:37:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:671:45: note:   mismatched types ‘const Eigen::ArrayBase<Derived>’ and ‘double’
  671 |                         RHS(asm_map_row[i]) -= lhs(i,j)*dirichlet_data(j);
      |                         ~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/eigen3/Eigen/Core:272,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:26:
/usr/include/eigen3/Eigen/src/Core/DenseBase.h:298:14: note: candidate: ‘template<class OtherDerived> Derived& Eigen::DenseBase<Derived>::operator-=(const Eigen::EigenBase<OtherDerived>&) [with OtherDerived = OtherDerived; Derived = Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, obstacle_assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange>]’
  298 |     Derived& operator-=(const EigenBase<OtherDerived> &other);
      |              ^~~~~~~~
/usr/include/eigen3/Eigen/src/Core/DenseBase.h:298:14: note:   template argument deduction/substitution failed:
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/obstacle/obstacle.cpp:37:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:671:45: note:   mismatched types ‘const Eigen::EigenBase<Derived>’ and ‘double’
  671 |                         RHS(asm_map_row[i]) -= lhs(i,j)*dirichlet_data(j);
      |                         ~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/cuthho/cuthho_square.cpp:48:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp: In instantiation of ‘void assembler<Mesh>::assemble(const Mesh&, const typename Mesh::cell_type&, const Eigen::Matrix<typename Mesh::coordinate_type, -1, -1>&, const Eigen::Matrix<typename Mesh::coordinate_type, -1, 1>&, const Function&) [with Function = run_cuthho<mesh_impl<double, elem_quad, cell_cuthho_info<double>, face_cuthho_info<double>, node_cuthho_info<double> >, circle_level_set<double> >(const mesh_impl<double, elem_quad, cell_cuthho_info<double>, face_cuthho_info<double>, node_cuthho_info<double> >&, const circle_level_set<double>&, size_t)::<lambda(const point_type&)>; Mesh = mesh_impl<double, elem_quad, cell_cuthho_info<double>, face_cuthho_info<double>, node_cuthho_info<double> >; typename Mesh::cell_type = cell<cell_cuthho_info<double>, 4>; typename Mesh::coordinate_type = double; typename Mesh::coordinate_type = double]’:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/cuthho/cuthho_square.cpp:778:31:   required from ‘void run_cuthho(const Mesh&, const Function&, size_t) [with Mesh = mesh_impl<double, elem_quad, cell_cuthho_info<double>, face_cuthho_info<double>, node_cuthho_info<double> >; Function = circle_level_set<double>; size_t = long unsigned int]’
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/cuthho/cuthho_square.cpp:1082:15:   required from here
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:396:37: error: no match for ‘operator-=’ (operand types are ‘Eigen::internal::enable_if<true, Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, assembler<mesh_impl<double, elem_quad, cell_cuthho_info<double>, face_cuthho_info<double>, node_cuthho_info<double> > >::assembly_index, Eigen::internal::SingleRange> >::type’ {aka ‘Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, assembler<mesh_impl<double, elem_quad, cell_cuthho_info<double>, face_cuthho_info<double>, node_cuthho_info<double> > >::assembly_index, Eigen::internal::SingleRange>’} and ‘double’)
  396 |                     RHS(asm_map[i]) -= lhs(i,j)*dirichlet_data(j);
      |                     ~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/eigen3/Eigen/Core:298,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/cuthho/cuthho_square.cpp:35:
/usr/include/eigen3/Eigen/src/Core/CwiseBinaryOp.h:162:1: note: candidate: ‘template<class OtherDerived> Derived& Eigen::MatrixBase<Derived>::operator-=(const Eigen::MatrixBase<OtherDerived>&) [with OtherDerived = OtherDerived; Derived = Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, assembler<mesh_impl<double, elem_quad, cell_cuthho_info<double>, face_cuthho_info<double>, node_cuthho_info<double> > >::assembly_index, Eigen::internal::SingleRange>]’
  162 | MatrixBase<Derived>::operator-=(const MatrixBase<OtherDerived> &other)
      | ^~~~~~~~~~~~~~~~~~~
/usr/include/eigen3/Eigen/src/Core/CwiseBinaryOp.h:162:1: note:   template argument deduction/substitution failed:
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/cuthho/cuthho_square.cpp:48:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:396:37: note:   mismatched types ‘const Eigen::MatrixBase<Derived>’ and ‘double’
  396 |                     RHS(asm_map[i]) -= lhs(i,j)*dirichlet_data(j);
      |                     ~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/eigen3/Eigen/Core:273,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/cuthho/cuthho_square.cpp:35:
/usr/include/eigen3/Eigen/src/Core/MatrixBase.h:496:46: note: candidate: ‘template<class OtherDerived> Derived& Eigen::MatrixBase<Derived>::operator-=(const Eigen::ArrayBase<OtherDerived>&) [with OtherDerived = OtherDerived; Derived = Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, assembler<mesh_impl<double, elem_quad, cell_cuthho_info<double>, face_cuthho_info<double>, node_cuthho_info<double> > >::assembly_index, Eigen::internal::SingleRange>]’
  496 |     template<typename OtherDerived> Derived& operator-=(const ArrayBase<OtherDerived>& )
      |                                              ^~~~~~~~
/usr/include/eigen3/Eigen/src/Core/MatrixBase.h:496:46: note:   template argument deduction/substitution failed:
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/cuthho/cuthho_square.cpp:48:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:396:37: note:   mismatched types ‘const Eigen::ArrayBase<Derived>’ and ‘double’
  396 |                     RHS(asm_map[i]) -= lhs(i,j)*dirichlet_data(j);
      |                     ~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/eigen3/Eigen/Core:272,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/cuthho/cuthho_square.cpp:35:
/usr/include/eigen3/Eigen/src/Core/DenseBase.h:298:14: note: candidate: ‘template<class OtherDerived> Derived& Eigen::DenseBase<Derived>::operator-=(const Eigen::EigenBase<OtherDerived>&) [with OtherDerived = OtherDerived; Derived = Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, assembler<mesh_impl<double, elem_quad, cell_cuthho_info<double>, face_cuthho_info<double>, node_cuthho_info<double> > >::assembly_index, Eigen::internal::SingleRange>]’
  298 |     Derived& operator-=(const EigenBase<OtherDerived> &other);
      |              ^~~~~~~~
/usr/include/eigen3/Eigen/src/Core/DenseBase.h:298:14: note:   template argument deduction/substitution failed:
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/cuthho/cuthho_square.cpp:48:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:396:37: note:   mismatched types ‘const Eigen::EigenBase<Derived>’ and ‘double’
  396 |                     RHS(asm_map[i]) -= lhs(i,j)*dirichlet_data(j);
      |                     ~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/convergence_test/convergence_test.cpp:45:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp: In instantiation of ‘void assembler<Mesh>::assemble(const Mesh&, const typename Mesh::cell_type&, const Eigen::Matrix<typename Mesh::coordinate_type, -1, -1>&, const Eigen::Matrix<typename Mesh::coordinate_type, -1, 1>&, const Function&) [with Function = test_method_convergence(const convergence_test_params&)::<lambda(const point_type&)>; Mesh = mesh_impl<double, elem_quad, void, void, void>; typename Mesh::cell_type = cell<void, 4>; typename Mesh::coordinate_type = double; typename Mesh::coordinate_type = double]’:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/convergence_test/convergence_test.cpp:214:35:   required from here
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:396:37: error: no match for ‘operator-=’ (operand types are ‘Eigen::internal::enable_if<true, Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange> >::type’ {aka ‘Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange>’} and ‘double’)
  396 |                     RHS(asm_map[i]) -= lhs(i,j)*dirichlet_data(j);
      |                     ~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/eigen3/Eigen/Core:298,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/convergence_test/convergence_test.cpp:34:
/usr/include/eigen3/Eigen/src/Core/CwiseBinaryOp.h:162:1: note: candidate: ‘template<class OtherDerived> Derived& Eigen::MatrixBase<Derived>::operator-=(const Eigen::MatrixBase<OtherDerived>&) [with OtherDerived = OtherDerived; Derived = Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange>]’
  162 | MatrixBase<Derived>::operator-=(const MatrixBase<OtherDerived> &other)
      | ^~~~~~~~~~~~~~~~~~~
/usr/include/eigen3/Eigen/src/Core/CwiseBinaryOp.h:162:1: note:   template argument deduction/substitution failed:
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/convergence_test/convergence_test.cpp:45:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:396:37: note:   mismatched types ‘const Eigen::MatrixBase<Derived>’ and ‘double’
  396 |                     RHS(asm_map[i]) -= lhs(i,j)*dirichlet_data(j);
      |                     ~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/eigen3/Eigen/Core:273,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/convergence_test/convergence_test.cpp:34:
/usr/include/eigen3/Eigen/src/Core/MatrixBase.h:496:46: note: candidate: ‘template<class OtherDerived> Derived& Eigen::MatrixBase<Derived>::operator-=(const Eigen::ArrayBase<OtherDerived>&) [with OtherDerived = OtherDerived; Derived = Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange>]’
  496 |     template<typename OtherDerived> Derived& operator-=(const ArrayBase<OtherDerived>& )
      |                                              ^~~~~~~~
/usr/include/eigen3/Eigen/src/Core/MatrixBase.h:496:46: note:   template argument deduction/substitution failed:
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/convergence_test/convergence_test.cpp:45:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:396:37: note:   mismatched types ‘const Eigen::ArrayBase<Derived>’ and ‘double’
  396 |                     RHS(asm_map[i]) -= lhs(i,j)*dirichlet_data(j);
      |                     ~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/eigen3/Eigen/Core:272,
                 from /usr/include/eigen3/Eigen/Dense:1,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/convergence_test/convergence_test.cpp:34:
/usr/include/eigen3/Eigen/src/Core/DenseBase.h:298:14: note: candidate: ‘template<class OtherDerived> Derived& Eigen::DenseBase<Derived>::operator-=(const Eigen::EigenBase<OtherDerived>&) [with OtherDerived = OtherDerived; Derived = Eigen::IndexedView<Eigen::Matrix<double, -1, 1>, assembler<mesh_impl<double, elem_quad, void, void, void> >::assembly_index, Eigen::internal::SingleRange>]’
  298 |     Derived& operator-=(const EigenBase<OtherDerived> &other);
      |              ^~~~~~~~
/usr/include/eigen3/Eigen/src/Core/DenseBase.h:298:14: note:   template argument deduction/substitution failed:
In file included from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho:25,
                 from /tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/apps/convergence_test/convergence_test.cpp:45:
/tmp/makepkg/ProtoN/src/ProtoN-obstacle-hho/src/methods/hho_bits/hho.hpp:396:37: note:   mismatched types ‘const Eigen::EigenBase<Derived>’ and ‘double’
  396 |                     RHS(asm_map[i]) -= lhs(i,j)*dirichlet_data(j);
      |                     ~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
make[2]: *** [apps/cuthho/CMakeFiles/cuthho_square.dir/build.make:79: apps/cuthho/CMakeFiles/cuthho_square.dir/cuthho_square.cpp.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/ProtoN/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:196: apps/cuthho/CMakeFiles/cuthho_square.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
make[2]: *** [apps/obstacle/CMakeFiles/obstacle.dir/build.make:79: apps/obstacle/CMakeFiles/obstacle.dir/obstacle.cpp.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/ProtoN/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:222: apps/obstacle/CMakeFiles/obstacle.dir/all] Error 2
make[2]: *** [apps/convergence_test/CMakeFiles/convergence_test.dir/build.make:79: apps/convergence_test/CMakeFiles/convergence_test.dir/convergence_test.cpp.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/ProtoN/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:170: apps/convergence_test/CMakeFiles/convergence_test.dir/all] Error 2
make[1]: Leaving directory '/tmp/makepkg/ProtoN/src/build-cmake'
make: *** [Makefile:139: all] Error 2
==> ERROR: A failure occurred in build().
```
